package org.positrium.chikarawo;

import java.util.EventObject;


/**
 * 
 * 
 * @author token , 2009 CC BY-SA
 * @version $Rev: 119 $
 */
public class StateChangeEvent extends EventObject {
	
	private final StateChangeEnum status;

	/**
	 * ステータスを設定
	 * @param source
	 * @param status
	 */
	public StateChangeEvent(Object source, StateChangeEnum status) {
		super(source);
		this.status = status;
	}

	/**
	 * ステータスを取得
	 * @return
	 */
	public StateChangeEnum getStatus() {
		return this.status;
	}

}
